--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Formats with with grouped thousands using <tt>delimiter</tt> (e.g., 12,324). You can pass another format to format the number differently.
- !ruby/struct:SM::Flow::H 
  level: 4
  text: Parameters
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "format_name<Symbol>:"
    body: name of the format to use
  - !ruby/struct:SM::Flow::LI 
    label: "options<Hash>:"
    body: options which will overwrite the used format
  type: :NOTE
- !ruby/struct:SM::Flow::H 
  level: 4
  text: Returns
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "String:"
    body: a string representing the delimited number
  type: :NOTE
- !ruby/struct:SM::Flow::H 
  level: 4
  text: Options
- !ruby/struct:SM::Flow::P 
  body: ":delimiter - Overwrites the thousands delimiter. :separator - Overwrites the separator between the units."
- !ruby/struct:SM::Flow::H 
  level: 4
  text: Examples
- !ruby/struct:SM::Flow::P 
  body: "12345678.with_delimiter # =&gt; 12,345,678 12345678.05.with_delimiter # =&gt; 12,345,678.05 12345678.with_delimiter(:FR) # =&gt; 12.345.678 12345678.with_delimiter(:US) # =&gt; 12,345,678"
full_name: Numeric#with_delimiter
is_singleton: false
name: with_delimiter
params: (format_name = nil, options = {})
visibility: public
